> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noyo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Carrier Configurations for Group

> Get a list of carrier configurations for a group.



## OpenAPI

````yaml GET /api/v1/groups/{group_id}/carrier_configurations
openapi: 3.0.1
info:
  description: Policy management APIs for health and ancillary insurance
  title: Noyo Fulfillment API
  version: 1.0.0
servers:
  - description: Noyo Fulfillment API - Live
    url: https://fulfillment.noyo.com
  - description: Noyo Fulfillment API - Sandbox
    url: https://fulfillment-sandbox.noyo.com
security: []
paths:
  /api/v1/groups/{group_id}/carrier_configurations:
    get:
      tags:
        - Group Configuration
      summary: Get a list of all Carrier Configurations by Group
      description: >-
        Certain carriers have custom data for each group such as billing group
        information. This endpoint can be used to retrieve carrier-specific
        configuration data.
      operationId: getCarrierConfigurationByGroupList
      parameters:
        - description: >-
            The unique identifier of the group for which you would like to view
            carrier configurations.
          in: path
          name: group_id
          required: true
          schema:
            example: 2705bb9f-3c90-4400-a4e7-0bc9d48e677c
            format: uuid
            type: string
        - description: The relative date on which to view the state of the record
          in: query
          name: effective_date
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              example:
                - carrier_group_id: '9100084'
                  carrier_id: d0003042-eaae-4491-b219-4825456a3d16
                  configuration:
                    bill_groups:
                      - bill_group_description: All Members
                        bill_group_number: 10001
                        bill_group_status: open
                    member_groups:
                      - member_group_key: 2613038
                        member_group_name: MEMBERS A
                        member_group_status: open
                      - member_group_key: 2613037
                        member_group_name: MEMBERS B
                        member_group_status: open
                    policy_number: '9100084'
                  group_id: 2705bb9f-3c90-4400-a4e7-0bc9d48e677c
              schema:
                items:
                  $ref: '#/components/schemas/PublicGroupCarrierConfigurationResult'
                type: array
          description: Successful Response - Returns all matching Carrier Configurations
components:
  schemas:
    PublicGroupCarrierConfigurationResult:
      properties:
        carrier_group_id:
          description: Unique identifier for the group in the carrier system
          nullable: true
          readOnly: true
          type: string
        carrier_id:
          description: Unique identifier of the carrier in Noyo
          format: uuid
          readOnly: true
          type: string
        configuration:
          description: Carrier configuration details for the group
          readOnly: true
          type: object
        connection_configuration:
          allOf:
            - $ref: >-
                #/components/schemas/PublicGroupCarrierConnectionConfigurationResult
          nullable: true
          readOnly: true
        group_id:
          description: Unique identifier of the group in Noyo
          format: uuid
          readOnly: true
          type: string
        id:
          description: Unique identifier of the group carrier configuration in Noyo
          format: uuid
          readOnly: true
          type: string
        version:
          description: Version of the group carrier configuration record
          format: uuid
          readOnly: true
          type: string
      required:
        - carrier_id
        - configuration
        - group_id
        - id
        - version
      type: object
      x-field_order:
        - id
        - version
        - group_id
        - carrier_id
        - carrier_group_id
        - configuration
        - connection_configuration
    PublicGroupCarrierConnectionConfigurationResult:
      properties:
        connection_tier:
          description: Connection tier for the group
          enum:
            - premier
            - advanced
            - standard
            - not_connected
          nullable: true
          type: string
        data_exchange:
          allOf:
            - $ref: '#/components/schemas/DataExchange'
          description: Data exchange configuration
          nullable: true
      type: object
    DataExchange:
      properties:
        enrollment_errors:
          allOf:
            - $ref: '#/components/schemas/EnrollmentErrors'
          description: Data exchange configuration for enrollment errors
        enrollments:
          allOf:
            - $ref: '#/components/schemas/Enrollments'
          description: Data exchange configuration for enrollments
        group_structure:
          allOf:
            - $ref: '#/components/schemas/GroupStructure'
          description: Data exchange configuration for group structure
      type: object
    EnrollmentErrors:
      properties:
        default_method:
          default: null
          description: Default method for receiving enrollment errors from the carrier
          enum:
            - snapshot_errors
            - error_report
          nullable: true
          type: string
        enabled:
          default: false
          description: Flag indicating if enrollment errors are enabled
          type: boolean
      type: object
    Enrollments:
      properties:
        from_carrier:
          allOf:
            - $ref: '#/components/schemas/EnrollmentsFromCarrier'
          description: Configuration for receiving data from the carrier
        to_carrier:
          allOf:
            - $ref: '#/components/schemas/EnrollmentsToCarrier'
          description: Configuration for sending data to the carrier
      type: object
    GroupStructure:
      properties:
        default_method:
          default: null
          description: Default method for receiving group structure
          enum:
            - api
            - account_structure_file
          nullable: true
          type: string
        enabled:
          default: false
          description: Flag indicating if receiving group structure is enabled
          type: boolean
      type: object
      x-field_order: []
    EnrollmentsFromCarrier:
      properties:
        enabled:
          default: false
          description: Flag indicating if receiving data from the carrier is enabled
          type: boolean
      type: object
    EnrollmentsToCarrier:
      properties:
        default_method:
          default: null
          description: Default method for sending data to the carrier
          enum:
            - api
            - feeds
            - manual_noyo
            - manual_partner
          nullable: true
          type: string
        enabled:
          default: false
          description: Flag indicating if sending to the carrier is enabled
          type: boolean
      type: object

````